net.corda.flows

## Class FetchDataFlow.Result<T extends NamedByHash>

- net.corda.flows.FetchDataFlow.Result<T>

- Enclosing class:
    FetchDataFlow<T extends NamedByHash,W>

      public static class FetchDataFlow.Result<T extends NamedByHash>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Result(java.util.List<? extends T> fromDisk, java.util.List<? extends T> downloaded)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<T>` | `component1()`
    `java.util.List<T>` | `component2()`
    `FetchDataFlow.Result<T>` | `copy(java.util.List<? extends T> fromDisk, java.util.List<? extends T> downloaded)`
    `boolean` | `equals(java.lang.Object p)`
    `java.util.List<T>` | `getDownloaded()`
    `java.util.List<T>` | `getFromDisk()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Result

          public Result(java.util.List<? extends T> fromDisk,
                        java.util.List<? extends T> downloaded)

  - ### Method Detail

    - #### getFromDisk

          public java.util.List<T> getFromDisk()

    - #### getDownloaded

          public java.util.List<T> getDownloaded()

    - #### component1

          public java.util.List<T> component1()

    - #### component2

          public java.util.List<T> component2()

    - #### copy

          public FetchDataFlow.Result<T> copy(java.util.List<? extends T> fromDisk,
                                              java.util.List<? extends T> downloaded)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)